For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

Get tool

GET
/v1/convai/tools/:tool_id
GET
/v1/convai/tools/:tool_id
$curl https://api.elevenlabs.io/v1/convai/tools/tool_id
1{
2 "id": "string",
3 "tool_config": {
4 "type": "system",
5 "name": "end_call",
6 "params": {
7 "system_tool_type": "end_call"
8 },
9 "description": ""
10 },
11 "access_info": {
12 "is_creator": true,
13 "creator_name": "John Doe",
14 "creator_email": "john.doe@example.com",
15 "role": "admin"
16 },
17 "usage_stats": {
18 "avg_latency_secs": 1.1,
19 "total_calls": 0
20 },
21 "response_mocks": [
22 {
23 "mock_result": "string",
24 "parameter_conditions": [
25 {
26 "eval": {
27 "type": "string",
28 "description": "string"
29 },
30 "path": "string"
31 }
32 ]
33 }
34 ]
35}
Get tool that is available in the workspace.
Was this page helpful?
Previous

Create tool

Next
Built with

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
tool_configobject
The type of tool
access_infoobject
usage_statsobject
response_mockslist of objects or null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

Errors

422
Unprocessable Entity Error